Bug 7111 - для MaxSelect: настроить по дефолту сочетания клавиш по аналогии с Win
: для MaxSelect: настроить по дефолту сочетания клавиш по аналогии с Win
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kde)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-06-16 14:03 by
Modified: 2008-04-02 16:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-16 14:03:38
Чтобы пользователь не мог сетовать, что Linux уступает винде в удобстве 
и функциональности, стоит настроить сочетания клавиш, которые в винде вызывают
определённые функции.
Касается в первую очередь ноутбуков MaxSelect

1. Кнопки быстрого запуска программ
Это которые вынесены на корпус отдельно от основной клавиатуры
Обычно опеределены две: броузер и почтовая программа.

2. Windows-клавиши
(Это обычные кнопки win, которые между альтом и контролом)

Список функций в винде:
Win                             Открывает меню Пуск.
Win + Tab               Осуществляет переход по кнопкам запущенных приложений.
Win + E                 Открывает Проводник (Windows Explorer) на папке
                                Мой компьютер (My Computer).
Win + F                 Открывает окно поиска файлов и папок.
Win + M                 Сворачивает окна всех приложений, открывая рабочий
стол.
Win + Shift + M Восстанавливает окна всех приложений, свёрнутые предыдущей
                                операцией.
Win + R                 Открывает окно Запуск программы (Run). Аналогично
                                выбору в меню Пуск пункта Выполнить... (Start
->
+Run...).
Menu                    Открывает контекстное меню активного приложения.

3. 3. Комбинации Fn+X
Речь о кнопке Fn и всяких функциях, привязанных к сочетаниям с этой кнопкой.
Вот такая там таблица:
Fn+F1           Переход в ждущий или спящий режим (работа этого сочетания
                        клавиш зависит от настройки опций меню Кнопки питания
+см. п. 5.5.).
Fn+F2           Включение/выключение адаптера беспроводной сети (Wi-Fi).
Fn+F3           Выбор устройства для отображения информации.
Fn+F4           Уменьшение яркости подсветки ЖК-матрицы.
Fn+F5           Увеличение яркости подсветки ЖК-матрицы.
Fn+F6           Включение/выключение звука встроенных динамиков и аудиовыхода.
Fn+F7           Уменьшение громкости звука.
Fn+F8           Увеличение громкости звука.
Fn+F9           Управление мультимедийным проигрывателем (например, Windows
+Media Player): запуск воспроизведения / пауза.
Fn+F10          Управление мультимедийным проигрывателем: остановка
+воспроизведения.
Fn+F11          Управление мультимедийным проигрывателем: воспроизведение
                        в обратную сторону.
Fn+F12          Управление мультимедийным проигрывателем: ускоренное
                        воспроизведение.

Всё это мелочи, но если их сделать, то у пользователей будет намного меньше
оснований обвинять Linux в неполноценности и ущербности по сравнению с
Win. А это нам бонус ;)
------- Comment #1 From 2006-12-06 10:58:20 -------
Fn+... обрабатывается аппаратно, насколько знаю.  Остальное --
fixed//актуально?
------- Comment #2 From 2007-08-14 17:19:53 -------
неактуально